Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 520328 - app-admin/rsyslog-8.4.0 version bump
Summary: app-admin/rsyslog-8.4.0 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Ultrabug
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-20 15:10 UTC by Thomas Deutschmann
Modified: 2014-09-30 14:55 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to add v8.4.0 to portage (rsyslog-8.4.0.patch,22.80 KB, patch)
2014-08-20 15:10 UTC, Thomas Deutschmann
Details | Diff
Patch to add v8.4.0 to portage (rsyslog-8.4.0-r1.patch,30.00 KB, patch)
2014-08-21 11:22 UTC, Thomas Deutschmann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2014-08-20 15:10:32 UTC
Created attachment 383202 [details, diff]
Patch to add v8.4.0 to portage

Hi,

app-admin/rsyslog-8.4.0 is now ready for the tree, please see the attached patch.

As always you can also grab the changes from my overlay: https://github.com/Whissi/gentoo-overlay/tree/master/app-admin/rsyslog

Notable changes between v7.6.3-r1 and v8.4.0:

- sm_cust_bindcdr module dropped. Shouldn't affect any Gentoo user at all, see http://thread.gmane.org/gmane.comp.sysutils.rsyslog/14918/focus=14952 for more details.

- jemalloc USE flag added
Comment 1 Thomas Deutschmann gentoo-dev Security 2014-08-21 11:22:04 UTC
Created attachment 383264 [details, diff]
Patch to add v8.4.0 to portage

Here's an updated patch with the following changes:

- Added upstream's version of rsyslog-imuxsock-shrink.patch, vapier silently added (and dropped) without notifying us

- Added two upstream patches to allow building on platforms without atomic instructions
Comment 2 Vitaly L. Fadeev 2014-09-18 07:38:17 UTC
Why does 8.4.0 still not in portage tree?
This version is already stable: http://www.rsyslog.com/new-8-4-stable-is-ready/
Comment 3 Yixun Lan gentoo-dev 2014-09-18 15:20:53 UTC
Hello, Thomas D, I can help bumping this ebuild (@proxy-maint in the CCed list)

One thing, I'd suggest to re-use files from ${FILESDIR}/7-stable directory:
50-default.conf
README.gentoo
rsyslog.conf
rsyslog.confd-r1
rsyslog.initd-r1
rsyslog.logrotate-r1

reason is that sharing same files between ebuilds will keeps the portage tree slim, better for maintenance..
Comment 4 Yixun Lan gentoo-dev 2014-09-18 15:32:04 UTC
from rsyslog-8.4.0

you define "AUTOTOOLS_AUTORECONF=1" but override the src_prepare() from autotools-utils.eclass.
instead, you can simply define PATCHES=( ), please take a look at autotools-utils.eclass.
Comment 5 Thomas Deutschmann gentoo-dev Security 2014-09-30 14:55:59 UTC
rsyslog was bumped to v8.4.1 due to CVE-2014-3634, see bug 524058.